//  
//   Rebex Sample Code License
// 
//   Copyright 2024, REBEX CR s.r.o.
//   All rights reserved.
//   https://www.rebex.net/
// 
//   Permission to use, copy, modify, and/or distribute this software for any
//   purpose with or without fee is hereby granted.
// 
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
//   OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//   NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
//   HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
//   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
//   OTHER DEALINGS IN THE SOFTWARE.
// 

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Rebex.IO.Compression;

namespace Rebex.Samples
{
    /// <summary>
    /// A dialog that asks for the password.
    /// </summary>
    public partial class PasswordDialog : Form
    {
        public PasswordDialog()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Gets the password.
        /// </summary>
        public string Password
        {
            get { return textBoxPassword.Text; }
        }

        /// <summary>
        /// Sets the file path in question template text.
        /// </summary>
        /// <param name="filePath">File path.</param>
        public void SetFilePath(string filePath, ArchivePasswordReason reason)
        {
            switch (reason)
            {
                case ArchivePasswordReason.IncorrectPasswordOrCorruptedData:
                    labelInfo.Text = string.Format("Incorrect password or corrupted data ('{0}').", filePath);
                    break;
                case ArchivePasswordReason.PasswordRequired:
                default:
                    labelInfo.Text = string.Format("Password required for '{0}'.", filePath);
                    break;
            }
        }
    }
}